function [in, K] = getinputs(basisf, subset, tran)
% get input data and kernel matrix
K=[];
if ~isempty(subset)
%    size(tran)
%    subset
    in = tran(:, subset);
    % project inputs onto latent space
    if basisf.btype ~= 'l'
        nsmpls=size(in, 1);
        idK=randperm(nsmpls);
        idK=idK(1:basisf.nr)';
        basisf.K=in(idK,:); % get kernels as randomly selected input values.
        K=basisf.K;
        if basisf.btype=='g'
            basisf.l=ones(basisf.nr,1)*basisf.l;
        end
        [in]=bprb_applybasis(basisf, in);
    else
        in=[ones(size(in,1),1), in];
    end
else
    in=[ones(size(tran,1),1)];
end
